@tailwind components;

@layer components {
    html, body, #app {
        min-height: 100vh;
    }

    #app {
        @apply flex flex-col;
    }

    .card, .card > div {
        @apply flex flex-col justify-center;
    }

    .card > div {
        @apply grow w-full;
    }

    #shortcuts-modal > div:nth-child(2) > div > div > div:nth-child(2):has(.section_table) {
        @apply overflow-x-auto max-h-[80vh];
    }

    .horizontal-card-size {
        @apply w-2/5 min-w-[800px] max-w-5xl;
    }

    .horizontal-card-size-remove {
        @apply w-auto min-w-0 max-w-none;
    }

    .container {
        @apply bg-main rounded-main p-container;
    }

    .card.horizontal .accordion-tab > div {
        @apply p-0;
    }

    .card-full-size {
        @apply flex items-center justify-center h-full;
    }
}
